nl.tudelft.simulation.dsol.tutorial.section44

## Class Positioner

- java.lang.Object
- - nl.tudelft.simulation.event.EventProducer
  - - nl.tudelft.simulation.jstats.ode.DifferentialEquation
    - - nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>
      - - nl.tudelft.simulation.dsol.tutorial.section44.Positioner

All Implemented Interfaces:
  Serializable, EventListener, nl.tudelft.simulation.event.EventListenerInterface, nl.tudelft.simulation.event.EventProducerInterface, nl.tudelft.simulation.jstats.ode.DifferentialEquationInterface

    public class Positioner
    extends nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>

A Positioner
copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 Mar 3, 2004
Author:
  Peter Jacobs
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation

`previousX, previousY, simulator`

### Fields inherited from class nl.tudelft.simulation.jstats.ode.DifferentialEquation

`timeStep, x0, y0`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquationInterface

`FUNCTION_CHANGED_EVENT, VALUE_CHANGED_EVENT`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Constructor Summary

Constructors
Constructor and Description
`Positioner(nl.tudelft.simulation.dsol.simulators.DESSSimulatorInterface.TimeDouble simulator)` constructs a new Positioner.

### Method Summary

All Methods Instance Methods Concrete Methods
`double[]` `dy(double x, double[] y)`
`void` `setValue(double value)` sets the value.

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation

`initialize, notify`

### Methods inherited from class nl.tudelft.simulation.jstats.ode.DifferentialEquation

`getIntegrator, integrateY, setIntegrator, y`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.jstats.ode.DifferentialEquationInterface

`y`

### Constructor Detail

#### Positioner

    public Positioner(nl.tudelft.simulation.dsol.simulators.DESSSimulatorInterface.TimeDouble simulator)
               throws RemoteException

constructs a new Positioner.

Parameters:
  `simulator` - the simulator
Throws:
  `RemoteException` - Exception

### Method Detail

#### setValue

    public void setValue(double value)

sets the value.

Parameters:
  `value` - the new value

#### dy

    public double[] dy(double x,
                       double[] y)